Bug 1019531 - (CVE-2017-5209) VUL-1: CVE-2017-5209: libplist: base64decode buffer over-read via split encoded Apple Property List data
(CVE-2017-5209)
VUL-1: CVE-2017-5209: libplist: base64decode buffer over-read via split encod...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Marguerite Su
Security Team bot
https://smash.suse.de/issue/178456/
CVSSv2:SUSE:CVE-2017-5209:4.3:(AV:A/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-12 09:39 UTC by Andreas Stieger
Modified: 2017-05-28 01:08 UTC (History)
9 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Stieger 2017-01-12 09:39:28 UTC
The base64decode function in base64.c in libimobiledevice libplist through 1.12
allows attackers to obtain sensitive information from process memory or cause a
denial of service (buffer over-read) via split encoded Apple Property List data.

https://github.com/libimobiledevice/libplist/commit/3a55ddd3c4c11ce75a86afbefd085d8d397ff957

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-5209
http://www.cvedetails.com/cve/CVE-2017-5209/
Comment 1 Andreas Stieger 2017-01-12 10:06:58 UTC
Upstream bug has an example:
https://github.com/libimobiledevice/libplist/issues/84
Comment 2 Swamp Workflow Management 2017-01-12 23:00:16 UTC
bugbot adjusting priority
Comment 3 Bjørn Lie 2017-01-12 23:21:17 UTC
Adding maintainers to cc
Comment 4 Marguerite Su 2017-01-25 14:53:25 UTC
reassigned to myself. it's my package.
Comment 5 Marguerite Su 2017-01-25 15:33:00 UTC
maintenance request for released products: https://build.opensuse.org/request/show/452439
Comment 6 Bjørn Lie 2017-01-25 15:34:48 UTC
(In reply to Marguerite Su from comment #4)
> reassigned to myself. it's my package.

Just a heads up that for LEAP, this is a SLE package, so getting a fixed version out requires sync with SLE maintainers too.

That was the reason I added you to cc

Adding bnc-gnome to cc
Comment 8 Bernhard Wiedemann 2017-01-31 11:02:13 UTC
This is an autogenerated message for OBS integration:
This bug (1019531) was mentioned in
https://build.opensuse.org/request/show/453577 42.1 / libplist
Comment 10 Bernhard Wiedemann 2017-01-31 19:02:06 UTC
This is an autogenerated message for OBS integration:
This bug (1019531) was mentioned in
https://build.opensuse.org/request/show/453668 42.1 / libplist
https://build.opensuse.org/request/show/453671 42.2 / libplist
Comment 11 Bernhard Wiedemann 2017-02-01 15:02:02 UTC
This is an autogenerated message for OBS integration:
This bug (1019531) was mentioned in
https://build.opensuse.org/request/show/453870 42.3 / libplist
Comment 12 Swamp Workflow Management 2017-02-09 11:06:46 UTC
openSUSE-SU-2017:0428-1: An update that fixes two vulnerabilities is now available.

Category: security (low)
Bug References: 1019531,1021610
CVE References: CVE-2017-5209,CVE-2017-5545
Sources used:
openSUSE Leap 42.2 (src):    libplist-1.12-5.1
openSUSE Leap 42.1 (src):    libplist-1.12-4.1
Comment 13 Swamp Workflow Management 2017-02-20 23:08:05 UTC
openSUSE-SU-2017:0528-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1023807,1023822,1023848
CVE References: CVE-2017-5209,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836
Sources used:
openSUSE Leap 42.1 (src):    libplist-1.12-7.1
Comment 14 Marguerite Su 2017-02-21 12:17:53 UTC
fixed
Comment 15 Swamp Workflow Management 2017-05-22 13:12:09 UTC
SUSE-SU-2017:1368-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Server 12-SP1 (src):    libplist-1.8-10.9.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    libplist-1.8-10.9.1
Comment 16 Swamp Workflow Management 2017-05-23 19:09:22 UTC
SUSE-SU-2017:1379-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Server 12-SP2 (src):    libplist-1.12-19.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    libplist-1.12-19.1
Comment 17 Swamp Workflow Management 2017-05-28 01:08:45 UTC
openSUSE-SU-2017:1426-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1019531,1021610,1023807,1023822,1023848,1029631,1035312
CVE References: CVE-2017-5209,CVE-2017-5545,CVE-2017-5834,CVE-2017-5835,CVE-2017-5836,CVE-2017-6440,CVE-2017-7982
Sources used:
openSUSE Leap 42.2 (src):    libplist-1.12-7.3.1